## sosi2osm 1.0.0

=== Makefile ===
PROGNAME=sosi2osm
OBJFILES=sosi2osm.o sosi.o tag.o node.o

CPPFLAGS = -I/usr/local/include/fyba -I/usr/include/fyba/ `pkg-config --cflags lua5.1-c++` -DLINUX -DUNIX -g
LDFLAGS = -lfyba -lfygm -lfyut -lproj `pkg-config --libs lua5.1-c++`

all: $(PROGNAME)

clean:
	$(RM) $(PROGNAME) $(OBJFILES) *~

$(PROGNAME): $(OBJFILES)
	$(CXX) $^ $(LDFLAGS) -o $@

install: sosi2osm
	install -m 0755 sosi2osm /usr/local/bin
	mkdir -p /usr/local/share/sosi2osm/lua
	install -m 0644 lua/*.lua /usr/local/share/sosi2osm/lua

uninstall:
	rm /usr/local/share/sosi2osm/lua/*.lua
	rmdir /usr/local/share/sosi2osm/lua
	rmdir /usr/local/share/sosi2osm
	rm /usr/local/bin/sosi2osm

.PHONY: install uninstall clean all

=== debian/changelog ===
sosi2osm (1.0.0-7) unstable; urgency=medium

  * Team upload.
  * Add patch by Helmut Grohne to fix FTCBFS.
    (closes: #932065)
  * Bump Standards-Version to 4.5.0, no changes.
  * Drop Name field from upstream metadata.
  * Bump watch file version to 4.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 12 Nov 2020 16:13:28 +0100

sosi2osm (1.0.0-6) unstable; urgency=medium

  * Team upload.
  * Bump Standards-Version to 4.4.0, no changes.
  * Define ACCEPT_USE_OF_DEPRECATED_PROJ_API_H for PROJ 6.0.0 compatibility.
  * Update gbp.conf to use --source-only-changes by default.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 11 Jul 2019 11:24:04 +0200

sosi2osm (1.0.0-5) unstable; urgency=medium

  [ Bas Couwenberg ]
  * Bump Standards-Version to 4.2.1, no changes.
  * Update watch file to handle common issues.

  [ Ruben Undheim ]
  * debian/compat: level 11
  * debian/control: debhelper >= 11
  * debian/patches: Refreshed all patches using 'gbp pq'
  * debian/tests: added autopkgtest
  * Remove lintian override for testsuite-autopkgtest-missing.

 -- Ruben Undheim <ruben.undheim@gmail.com>  Sat, 22 Sep 2018 15:37:13 +0200

sosi2osm (1.0.0-4) unstable; urgency=medium

  * Team upload.
  * Add upstream metadata.
  * Strip trailing whitespace from rules file.
  * Update copyright-format URL to use HTTPS.
  * Bump Standards-Version to 4.1.5, no changes.
  * Add patch to fix spelling errors.
  * Update Vcs-* URLs for Salsa.
  * Add lintian override for testsuite-autopkgtest-missing.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 01 Aug 2018 19:46:12 +0200

sosi2osm (1.0.0-3) unstable; urgency=medium

  * Team upload.
  * Update Vcs-Git URL to use HTTPS.
  * Add patch to use std::max from algorithm.
    (closes: #835717)
  * Use standalone license paragraph for GPL-3+.
  * Bump Standards-Version to 3.9.8, no changes.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 01 Sep 2016 12:22:00 +0200

sosi2osm (1.0.0-2) unstable; urgency=low

  * debian/rules:
    - Enabled hardening=+all
  * debian/sosi2osm.1:
    - Do not list sosi2osm.lua in man-page
  * Added debian/gbp.conf to automatically enable pristine-tar build

 -- Ruben Undheim <ruben.undheim@gmail.com>  Sat, 23 May 2015 13:17:52 +0200

sosi2osm (1.0.0-1) unstable; urgency=low

  * Initial release (Closes: #760597)

 -- Ruben Undheim <ruben.undheim@gmail.com>  Mon, 13 Oct 2014 21:27:02 +0200

=== debian/control ===
Source: sosi2osm
Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
Uploaders: Ruben Undheim <ruben.undheim@gmail.com>
Section: utils
Priority: optional
Build-Depends: debhelper (>= 11),
               liblua5.1-0-dev,
               libfyba-dev,
               pkg-config,
               libproj-dev
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/debian-gis-team/sosi2osm
Vcs-Git: https://salsa.debian.org/debian-gis-team/sosi2osm.git
Homepage: https://github.com/Gnonthgol/sosi2osm

Package: sosi2osm
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: SOSI to OSM converter
 This little utility converts .sos files into .osm files. A .sos file is a
 geospatial vector data format used for exchange of geograhical information
 in Norway. Osm-files are used by OpenStreetMap. The utility relies on the
 FYBA library released by the Norwegian Mapping Authority (Statens kartverk).

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DEB_CPPFLAGS_MAINT_APPEND = -DACCEPT_USE_OF_DEPRECATED_PROJ_API_H
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

=== debian/tests/control ===
Tests: basic
Depends: sosi2osm

=== debian/watch ===
version=4
opts=\
dversionmangle=s/\+(debian|dfsg|ds|deb)\d*$//,\
uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\d*)$/$1~$2/;s/RC/rc/;s/-/./g,\
filenamemangle=s/(?:.*)?(?:rel|v|sosi2osm)[\-\_\.]?(\d\S+)\.(tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))/sosi2osm-$1.$2/ \
https://github.com/Gnonthgol/sosi2osm/releases \
(?:.*/archive/)?(?:rel|v|sosi2osm)?[\-\_\.]?(\d\S+)\.(?:tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
